<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org">

<footer id="footer" th:fragment="footer">

	<!-- footer start -->
	<div class="common_footer">
		<div class="service_support">
			<h2>
				<i class="ico ico_logo_ft"></i>
				<em class="sr-only">STYLE24</em>
			</h2>
			<ul class="support_txt">
				<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_USE_TERMS);"><span>이용약관</span></a></li>
				<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_PRIVACY_POLICY);"><strong>개인정보취급방침</strong></a></li>
				<li><a href="#partnersPop" rel="modal:open" return false;><span>제휴/입점문의</span></a></li>
				<li><a href="http://zine.istyle24.com" target="_blank" title="새창 열림"><span data-font="lato">SN<em>@</em>PP</span><i class="ico ico_blank ml5"></i></a></li>
			</ul>
			<div class="family_link">
				<h2><a href="" class="btn ui_toggle" data-font="lato">FAMILY SITE<i class="ico ico_ft_arrow_b"></i></a></h2>
				<dl id="family_site" class="">
<!-- 					<dt class="no_tit"><span class="blind">그룹없음</span></dt> -->
<!-- 					<dd><a class="clickable" href="http://www.hansaeyes24.com" target="_blank" title="새창 열림">한세예스24홀딩스</a></dd> -->
<!-- 					<dd><a class="clickable" href="https://www.hansae.com" target="_blank" title="새창 열림">한세실업</a></dd> -->
<!-- 					<dd><a class="clickable" href="http://www.hansaedreams.co.kr" target="_blank" title="새창 열림">한세드림</a></dd> -->
<!-- 					<dd><a class="clickable" href="https://www.curlysue.co.kr" target="_blank" title="새창 열림">컬리수</a></dd> -->
<!-- 					<dd><a class="clickable" href="http://www.yes24.com/main/default.aspx" target="_blank" title="새창 열림">예스24</a></dd> -->
<!-- 					<dd><a class="clickable" href="https://www.yes24.vn" target="_blank" title="새창 열림">YES24 Vietnam</a></dd> -->
<!-- 					<dd><a class="clickable" href="http://www.yes24.co.id" target="_blank" title="새창 열림">YES24 Indonesia</a></dd> -->
<!-- 					<dd><a class="clickable" href="http://www.bookdonga.com/main.donga" target="_blank" title="새창 열림">동아출판</a></dd> -->
					<!-- 그룹 구분 할 경우,
					<dt><span class="txt">그룹1</span></dt>
					<dd><a class="clickable" href="" target="_blank" title="새창 열림">그룹1의사이트맵1</a></dd>
					<dd><a class="clickable" href="" target="_blank" title="새창 열림">그룹1의사이트맵2</a></dd>
					<dd><a class="clickable" href="" target="_blank" title="새창 열림">그룹1의사이트맵3</a></dd>
					 -->
				</dl>
			</div>
			<div class="connect">
				<div class="cs_box">
					<p>
						<span class="mb20"><a class="clickable" href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_FAQ);">고객센터<i class="ico ico_ft_arrow_r ml5"></i></a></span><br>
						<span class="time mb20">평일 <span data-font="lato"> 09:00 ~ 18:00</span> <br> (토/일공휴일 휴무)</span><br>
						<span class="tel mb10" data-font="lato">1544-5336</span><br>
						<span class="fax mb10" data-font="lato">F.02-780-0435</span><br>
						<span class="mail mb30" data-font="lato">Email : help@style24.com</span>
					</p>
				</div>
				<div class="sns_box clear">
					<a href="https://www.facebook.com/style24.official" class="fbook clickable fl mr5" target="_blank" title="새창 열림"><span class="sr-only">STYLE24 페이스북</span></a>
					<a href="https://www.instagram.com/style24.official" class="insta clickable fl" target="_blank" title="새창 열림"><span class="sr-only">STYLE24 인스타그램</span></a>
				</div>
<!--				<div class="isms_box mt30">-->
<!--					<a href="http://www.yes24.com/notice/pop_isms.html" onclick="window.open(this.href, '_blank','width=500,height=708,toolbars=no,scrollbars=no'); return false;">-->
<!--						<p>정보보호관리체계<br>ISMS 인증획득</p>-->
<!--					</a>-->
<!--				</div>-->
			</div>
		</div>
		<div class="corporation_info">
			<div class="ft_cpinfo">
				<dl>
					<dt>아이스타일이십사 주식회사</dt>
					<dd>
						<div>
							<p>
								<span>대표이사 : 윤종선</span>
								<span>주소: 서울시 영등포구 은행로 <em data-font="lato">11</em>, <em data-font="lato">8</em>층 (여의도동, 일신빌딩)</span> <br>
								<span>사업자등록번호: <em data-font="lato">116-81-32499</em></span>
								<span>통신판매업 신고번호: 제<rm data-font="lato">2020</rm>-서울영등포-<rm data-font="lato">1432</rm></span>
								<span><a class="clickable" href="http://www.ftc.go.kr/bizCommPop.do?wrkr_no=1168132499" target="_blank" title="새창 열림">사업자정보확인</a></span><br>
								<span>개인정보보호책임자 : 배기영</span>
								<span>호스팅 서비스사업자 : 아이스타일이십사(주)</span>
							</p>
						</div>
					</dd>
				</dl>
			</div>
			<div class="ft_cpinfo">
				<dl>
					<dt>소비자피해보상보험</dt>
					<dd>
						<div>
							<p>
								고객님은 안전거래를 위해 현금 결제 시 저희 쇼핑몰이 가입한<br>
								소비자피해보상보험 서비스를 이용하실 수 있습니다.
								<a class="clickable" href="https://mall.sgic.co.kr/csh/iutf/sh/shop/CSHINFO004VM0.mvc?tm=3&q_sk=2&q_sv=1168132499" target="_blank" title="새창 열림">가입정보확인</a>
							</p>
						</div>
					</dd>
				</dl>
			</div>
		</div>
		<div class="copyright">
			<p data-font="lato">
				COPYRIGHT©2021. STYLE24 ALL RIGHTS RESERVED.
			</p>
		</div>
		<div class="mobile_version" style="display:none" id="_moveToMobileVer">
			<a href="javascript:appBroswer('http://m.ssg.com','mo');" class="btn_def">모바일 버전으로 가기</a>
		</div>
	</div>

	<!-- 제휴및입점팝업 -->
	<div class="modal fade partners_pop" id="partnersPop" tabindex="-1" role="dialog" aria-labelledby="modalScrollLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">제휴 및 입점문의</h5>
				</div>
				<div class="modal-body">
					<p>
						스타일이십사㈜ 제휴를 통해 함께 성장하고자 하는 기업 및 개인께서는 아래<br>
						담당자에게 메일을 주세요. 작성된 내용은 각 담당부서에서 검토 후 정성껏 <br>
						회신 드리겠습니다.
					</p>
					<section class="order_row">
						<div class="tbl point_tbl track_tbl type2">
							<table>
								<colgroup>
									<col width="140px">
									<col width="100px">
									<col width="240px">
								</colgroup>
								<thead>
									<tr>
										<th>구분</th>
										<th>담당자</th>
										<th>연락처</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>입점 문의</td>
										<td>김초윤</td>
										<td>cykim730@style24.com</td>
									</tr>
									<tr>
										<td>제휴 문의</td>
										<td>김은진</td>
										<td>kej@style24.com</td>
									</tr>
								</tbody>
							</table>
						</div>
					</section>
				</div>
			</div>
		</div>
	</div>

	<!-- 퀵메뉴 -->
	<div id="quick_menu">
		<ul class="quick_btn">
			<li>
				<button type="button" id="quick01" class="quick_btn01" data-tab="quick01">
					<img th:src="${@environment.getProperty('domain.uximage') + '/images/pc/ico_qk_history.png'}" alt="최근 본 상품"/>
					<span class="count"></span>
				</button>
			</li>
			<li>
				<button type="button" id="quick02" class="quick_btn02" data-tab="quick02">
					<img th:src="${@environment.getProperty('domain.uximage') + '/images/pc/ico_qk_cart.png'}" alt="쇼핑백"/>
					<span class="count"></span>
				</button>
			</li>
			<li>
				<button type="button" id="quick03" class="quick_btn03" data-tab="quick03">
					<img th:src="${@environment.getProperty('domain.uximage') + '/images/pc/ico_qk_like.png'}" alt="위시리스트"/>
					<span class="count">0</span>
				</button>
			</li>
			<li>
				<button type="button" id="quick04" class="quick_btn04" data-tab="quick04">
					<img th:src="${@environment.getProperty('domain.uximage') + '/images/pc/ico_qk_coupon.png'}" alt="쿠폰"/>
					<span class="count">0</span>
				</button>
			</li>
			<li>
				<button type="button" id="" class="quick_btn05" data-tab="quick05">
					<img th:src="${@environment.getProperty('domain.uximage') + '/images/pc/ico_qk_cate.png'}" alt="카테고리"/>
				</button>
			</li>
			<li>
				<button type="button" id="top_btn">
					<img th:src="${@environment.getProperty('domain.uximage') + '/images/pc/ico_qk_top.png'}" alt="상단으로가기 버튼"/>
				</button>
			</li>
		</ul>
		<div class="tabs_con">
			<button type="button" class="quick_close_btn"><span class="sr-only">퀵메뉴 닫기</span></button>
			<div class="history quick_con quick01"> <!-- 퀵메뉴_최근 본 상품 -->
				<div class="quick_head">
					<h3>최근 본 상품</h3>
				</div>
				<div class="quick_body" id="quickMenuTodayGoods"> <!-- 최근 본 상품 없을 시 nodata 클래스 추가 -->
				</div>
			</div>
			<div class="shopingbag quick_con quick02"> <!-- 퀵메뉴_쇼핑백 -->
				<div class="quick_head">
					<h3><a href="">쇼핑백</a></h3>
				</div>
				<div class="quick_body nodata"> <!-- 쇼핑백 상품 없을 시 nodata 클래스 추가 -->
				</div>
			</div>
			<div class="wishlist quick_con quick03"> <!-- 퀵메뉴_위시리스트 -->
				<div class="quick_head">
					<h3><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_WISHLIST);">위시리스트</a></h3>
				</div>
				<div class="quick_body" id="quickMenuWishList"> <!-- 최근 본 상품 없을 시 nodata 클래스 추가 --> <!-- 비로그인 시 need_login 클래스 추가 -->
				</div>
			</div>
			<div class="coupon quick_con quick04"> <!-- 퀵메뉴_나의 쿠폰 -->
				<div class="quick_head">
					<h3><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_COUPON);">나의 쿠폰</a></h3>
				</div>
				<div class="quick_body" id="couponList"> <!-- 비로그인 시 need_login 클래스 추가 -->
					<div class="coupon_tab">
						<a href="#coupon_type01" onclick="issueCouponBtn()">발급 가능 쿠폰</a>
						<a href="#coupon_type02" onclick="ownCouponBtn()">보유 쿠폰</a>
					</div>
					<div id="coupon_type01" class="coupon_area">
						<div class="pop_cont" id="issueCoupon">
						</div>
						<a href="javascript:void(0);" class="more_btn" onclick="cfnGoToPage(_PAGE_EVENT_MAIN);">더 보기</a>
					</div>

					<div id="coupon_type02" class="coupon_area">
						<div class="coupon_list" id="ownCoupon">
						</div>
						<a href="javascript:void(0);" class="more_btn" onclick="cfnGoToPage(_PAGE_MYPAGE_COUPON);">더 보기</a>
					</div>

					<div class="login_con">
						<div>
							<p>로그인 후 이용 가능한 서비스입니다.</p>
							<button type="button" class="btn btn_sm" onclick="cfnGoToPage(_PAGE_LOGIN);"><span>로그인</span></button>
						</div>
					</div>
				</div>
			</div>
			<div class="category quick_con quick05"> <!-- 퀵메뉴_카테고리 -->
				<div class="quick_head">
					<h3>스타일24 카테고리</h3>
				</div>
				<div class="quick_body">
					<ul class="quick_cate_wrap" id="ulQuickMenuCate">
					</ul>
					<div class="quick_cate_txt">
						<a th:if="${sessionInfo == null}" href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_LOGIN);">로그인</a>
						<a th:if="${sessionInfo != null}" href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_LOGOUT);">로그아웃</a>
						<a th:if="${sessionInfo == null}" href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_CUSTOMER_JOIN_TYPE);">회원가입</a>
						<a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE);">마이페이지</a>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- 퀵메뉴 -->

	<!-- 쿠폰 사용 내역 팝업 -->
	<div class="modal coupon_popup" tabindex="-1" role="dialog" aria-labelledby="PopupBasicLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">사용 조건</h5>
				</div>
				<div class="modal-body">
					<section class="order_row">
						<div class="coupon_condition">
							<dl class="clear">
								<dt>사용조건</dt>
								<dd><span>9,999,999</span>원 구매 시 최대 <span>9,999,999</span>원 할인</dd>
							</dl>
							<dl class="clear">
								<dt>대상조건</dt>
								<dd>남성,여성,유아동 카테고리</dd>
							</dl>
						</div>
					</section>
				</div>
			</div>
		</div>
	</div>

	<!-- 2021.04.02 다음우편번호 공통화 작업 -->
	<!-- 다음우편번호 팝업 -->
	<div class="jquery-modal blocker current" id="daumZipcodePop" style="display:none; z-index:3000;">
		<div class="modal fade rqstModify_pop" tabindex="-1" role="dialog" aria-labelledby="couponModifyLabel" aria-hidden="true" style="display: inline-block;">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-body">
						<div class="pop_cont">
							<div id="zipcode_layer"></div>
						</div>
					</div>
				</div>
			</div>
			<a id="daumZipcodePop_close" style="margin-top:20px; size:12px; display:inline-block; font-weight:bold; cursor:pointer;">
				Close
			</a>
		</div>
	</div>
	<!-- //다음우편번호 팝업 -->
	<!-- //2021.04.02 다음우편번호 공통화 작업 -->

	<!-- 2021.04.02 배송지변경팝업 공통화 작업 -->
	<!-- 배송지변경 팝업 -->
	<div class="modal fade adrsChange_pop" id="adrsChangePop" tabindex="-1" role="dialog" aria-labelledby="adrsChangeLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<!-- 배송지변경 팝업 내용 -->
			</div>
		</div>
		<a href="#close-modal" rel="modal:close" id="adrsChangePop_close" class="close-modal">Close</a>
	</div>
	<!-- //배송지변경 팝업 -->

	<!-- 배송지추가 팝업 -->
	<div class="modal fade adrsModify_pop" id="adrsAddPop" tabindex="-1" role="dialog" aria-labelledby="adrsAddLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<!-- 배송지추가 팝업 내용 -->
			</div>
		</div>
		<a href="#close-modal" rel="modal:close" id="adrsAddPop_close" class="close-modal">Close</a>
	</div>
	<!-- //배송지추가 팝업 -->

	<!-- 배송지수정 팝업 -->
	<div class="modal fade adrsModify_pop" id="adrsModifyPop" tabindex="-1" role="dialog" aria-labelledby="adrsModifyLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<!-- 배송지수정 팝업 내용 -->
			</div>
		</div>
		<a href="#close-modal" rel="modal:close" id="adrsModifyPop_close" class="close-modal">Close</a>
	</div>
	<!-- //배송지수정 팝업 -->

	<!-- 배송요청사항수정 팝업 -->
	<div class="modal fade rqstModify_pop" id="rqstModifyPop" tabindex="-1" role="dialog" aria-labelledby="rqstModifyLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<!-- 배송요청사항수정 팝업 내용 -->
			</div>
		</div>
		<a href="#close-modal" rel="modal:close" id="rqstModifyPop_close" class="close-modal">Close</a>
	</div>
	<!-- //배송요청사항수정 팝업 -->
	<!-- //2021.04.02 배송지변경팝업 공통화 작업 -->

	<!-- 쿠폰 사용 내역 팝업 -->
	<div class="modal fade couponInfo_pop" id="couponInfoPop" tabindex="-1" role="dialog" aria-labelledby="couponInfoLabel" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<!-- 쿠폰사용안내 팝업 내용 -->
		</div>
	</div>
	<a href="#close-modal" rel="modal:close" id="couponInfoPop_close" class="close-modal">Close</a>
	</div>

<script th:inline="javascript">
/*<![CDATA[*/

	//2021-09-12 일 브라우저 닫을 경우 선호사이트 쿠기 제거처리
	$(window).unload(function(){
		gagajf.setCookie("st24ck_site_preference", null);
	});

	// 패밀리 사이트
	let fnGetFamilySite = function() {
		$.getJSON('/renderer/familysite/list'
			, function(result, status) {
				if (status == 'success') {
					if (result.length > 0) {
						$('#family_site').html('');
						let tag = '<dt class="no_tit"><span class="blind">그룹없음</span></dt>';

						$.each(result, function (idx, item) {
							if (!gagajf.isNull(item.cdNm)) {
								tag += '<dd><a class="clickable" href="' + item.cdNm.substring(0, item.cdNm.indexOf('|')) + '" target="_blank" title="새창 열림">' + item.cdNm.substring(item.cdNm.indexOf('|') + 1) + '</a></dd>\n';
							}
						});

						$('#family_site').html(tag);
					}
				}
		});
	}

	// 퀵메뉴카테고리
	let fnGetQuickMenuCategory = function(cate1) {
		let tag = '';
		if (cate1 != null) {
			tag += '<li class="has_children">\n';
			tag += '	<a href="javascript:;"><span>' + cate1.cate1Nm + '</span></a>\n';
			if (cate1.leafYn == 'N' && cate1.cate2List.length > 0) {
				tag += '	<ul class="quick_depth">\n';
				tag += '		<li><a href="javascript:void(0);" onclick="cfnGoToCategoryMain(\'' + cate1.cateGb + '\',' + cate1.cate1No + ');"><span>메인</span></a>\n';
				tag += '		<li><a href="javascript:void(0);" onclick="cfnGoToGoodsList(0,\'' + cate1.cateGb + '\',' + cate1.cate1No + ');"><span>전체</span></a>\n';
				$.each(cate1.cate2List, function(idx2, cate2) {
					tag += '		<li><a href="javascript:void(0);" onclick="cfnGoToGoodsList(0,\'' + cate2.cateGb + '\',' + cate2.cate1No + ',' + cate2.cate2No + ');"><span>' + cate2.cate2Nm + '</span></a>\n';
				});
				tag += '	</ul>\n';
			}
			tag += '</li>\n';
		}
		return tag;
	}

	// 퀵메뉴탭 생성
	let fnCreateQuickMenuTab = function() {
		$.getJSON('/display/gnb/tab/list'
			, function(result, status) {
				if (status == 'success') {
					if (result.length > 0) {
						$('#ulQuickMenuCate').html('');
						$('#ulQuickMenuCate').append('<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MAIN);"><span>홈</span></a></li>\n');
						$('#ulQuickMenuCate').append('<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_ALL_BRAND);"><span>브랜드</span></a></li>\n');

						let allCate = gAllCate;
						$.each(result, function(idx, item) {
							if (item.contentsType == 'C' ) { // 컨텐츠유형:카테고리, 아울렛
								$.each(allCate, function(allCateIdx, allCateItem) {
									if (item.cate1No == allCateItem.cate1No) {
										$('#ulQuickMenuCate').append(fnGetQuickMenuCategory(allCateItem));
									}
								});
							}else if(item.contentsType == 'O'){
								// $('#ulQuickMenuCate').append('<li><a href="' + item.linkUrl + '"><span>' + item.gtabNm + '</span></a></li>');
								let outletCate = fnGetQuickOutletCategory(item.gtabNm);
								$('#ulQuickMenuCate').append(outletCate);
							} else if (item.contentsType == 'L') { // 컨텐츠유형:링크
								$('#ulQuickMenuCate').append('<li><a href="' + item.linkUrl + '"><span>' + item.gtabNm + '</span></a></li>');
							}
						});
					}
				}
			});
	}

	// 퀵 아울렛
	let fnGetQuickOutletCategory = function (outletNm){
		let formalGb = 'G009_20';
		let cateGb = 'G032_101';
		var tag = '';

		tag += '<li class="has_children">\n';
		tag += '<a href="javascript:void(0);"><span>'+outletNm+'</span></a>\n';
		tag += '<ul class="quick_depth">\n';
		tag += '<li><a href="javascript:void(0);" onclick="cfnGoToOutletMain(\'G032_103\');"><span>메인</span></a></li>\n';
		tag += '<li><a href="javascript:void(0);" onclick="cfnGoToGoodsList(0,\'' + cateGb + '\',\'\',\'\',\'\',\'\',\'\',\'' + formalGb + '\');"><span>전체</span></a></li>\n';
		let allCate = gAllCate;
		$.each(allCate, function(allCateIdx, allCateItem) {
			tag += '<li><a href="javascript:void(0);" onclick="cfnGoToGoodsList(0,\'' + allCateItem.cateGb + '\',' + allCateItem.cate1No + ',\'\',\'\',\'\',\'\',\'' + formalGb + '\');"><span>' + allCateItem.cate1Nm + '</span></a></li>\n';
		});
		tag += '</ul>\n';
		tag += '</li>\n';

		return tag;
	}

	// 최근본상품
	let fnGetRecentlyGoods = function() {
// 	$('#quick01').on('click', function() {
		$.getJSON('/goods/recently/list'
				, function(result, status) {
					if (status == 'success') {
						$('#quickMenuTodayGoods').html('');

						$('#quick01').find('span').html(result.length);
						let tag = '';
						if (result.length > 0) {
							tag += '<div class="product_count"><span class="c_primary">' + result.length + '</span>개의 상품</div>\n';
							tag += '	<div class="itemsGrp">\n';

							$.each(result, function (idx, item) {
								tag += '		<div class="item_prod">\n';
								tag += '			<div class="item_state">\n';
								tag += '				<a href="javascript:void(0);" onclick="cfnGoToGoodsDetail(\''+item.goodsCd+'\',\'\',\'IN22_01\')" class=" itemLink">\n';
								tag += '					<div class="itemPic">\n';
								tag += '						<img class="vLHTC pd_img" src="' + _uploadGoodsUrl + '/' + item.sysImgNm + '" alt="이미지설명"/>\n';
								tag += '					</div>\n';
								tag += '				</a>\n';
								tag += '			</div>\n';
								tag += '		</div>\n';
							});

							tag += '	</div>\n';

						} else {
							tag += '<div class="no_item">';
							tag += '	최근 본 상품이 없습니다.';
							tag += '</div>';

							$('#quickMenuTodayGoods').attr('class','quick_body nodata');
						}
						$('#quickMenuTodayGoods').html(tag);
					}
			});
// 	});
	}

	function deleteCartAjax(cartArr, menu) {
		if(cartArr.length < 1) {
			mcxDialog.alert("삭제하실 상품을 선택해 주세요.");
			return false;
		}

		let data = {
			cartSqArr : cartArr
		}

		let jsonData = JSON.stringify(data);

		$.ajax( {
			type: "POST",
			url : '/cart/deleteCart',
			contentType: 'application/json',
			dataType : 'json',
			data : jsonData,
			success : function(result) {
				mcxDialog.alert("삭제 되었습니다.");
				if(menu == "cart") {
					let data = {shotDelvUseYn : $("input[name=shotDelvUseYn]:checked").val()};
					getCartList(data);
				} else if (menu == "quick") {
					fnGetCartGoodsList();
				}
			}
		});
	}

	function deleteCart(gbn, menu) {
		let cartArr = [];
		let confirmMessage = "";
		if(gbn == "SELECT") {
			$("#cartListForm input[name=cartSqArr]:checked").each(function () {
				cartArr.push($(this).val());
			});

			if(cartArr.length < 1) {
				mcxDialog.alert("삭제하실 상품을 선택해 주세요.");
				return false;
			}

			confirmMessage = "총 " + cartArr.length + "개의 상품을 삭제합니다.";
		} else {
			cartArr.push(gbn);
			deleteCartAjax(cartArr, menu);
			return false;
		}

		mcxDialog.confirm(confirmMessage, {
			cancelBtnText: "취소",			//취소 또는 닫기 버튼명
			sureBtnText  : "확인",				//처리문 버튼명
			sureBtnClick : function () {
				deleteCartAjax(cartArr, menu);
			}
		});
	}

	// 장바구니
	let fnGetCartGoodsList = function() {
		$.getJSON('/cart/quick/cart/list', function(result, status) {
			let order = result.order;

			$("#quick_menu .shopingbag.quick_con.quick02 .quick_head a").attr("href", _PAGE_CART);
			$("#header .gnb .btn_cart").attr("href", _PAGE_CART);

			if (status == 'success') {
				let quickShoppingBagHtml = "";

				$("#quick_menu .shopingbag.quick_con.quick02 .quick_body").html("");
				if(order.totCartCnt > 0) {
					$("#quick_menu .shopingbag.quick_con.quick02 .quick_body").removeClass("nodata");

					quickShoppingBagHtml += '<div class="product_count"><span class="c_primary">' + order.totCartCnt + '</span>개의 상품</div>';
					quickShoppingBagHtml += '<div class="itemsGrp existence">';
					let ordCanCnt = 0;
					for(let i = 0 ; i < order.delvAllCartList.length ; i++) {
						let info = order.delvAllCartList[i];

						// 구매하기 버튼에서 장바구니 버튼으로 변경 후 품절 상품 보여주지 말것 이라는 멘트 사라짐. 전체 노출
						//if(info.soldoutYn == "N" && info.ordCanYn == "Y" && info.newCustCanYn == "Y" && info.ordCanQty >= info.goodsQty && info.goodsQty >= info.minOrdQty && info.goodsQty <= info.maxOrdQty){
							ordCanCnt++;		// 주문 가능 수량
							quickShoppingBagHtml += '	<div class="item_prod">';
							quickShoppingBagHtml += '		<input type="hidden" id="cartSq" value="' + info.cartSq + '">';
							quickShoppingBagHtml += '		<button type="button" class="delete_btn" onclick="deleteCart(' + info.cartSq + ", 'quick'" + ')" style="z-index:99;"><span class="sr-only">해당상품 삭제</span></button>';
							quickShoppingBagHtml += '		<div class="item_state">';
							if(info.ordCanQty < 6 && info.ordCanQty > 0) {
								quickShoppingBagHtml += '			<div class="shape"><span>곧 품절돼요!</span></div>';
							}
							quickShoppingBagHtml += "			<a href='javascript:cfnGoToGoodsDetail(\"" + info.goodsCd + "\",\"\",\"IN22_03\")' class='itemLink'>";

							quickShoppingBagHtml += '				<div class="itemPic">';
							quickShoppingBagHtml += '					<img alt="BLACK-a" class="vLHTC pd_img" src="' + _uploadGoodsUrl + '/' + info.sysImgNm + '?RS=120"/>';
							quickShoppingBagHtml += '				</div>';
							quickShoppingBagHtml += '				<p class="itemBrand">' + info.brandGroupNm + '</p>';
							quickShoppingBagHtml += '				<div class="itemName">' + info.goodsNm + '</div>';
							for(let i = 0 ; i < info.itemNmArr.length ; i++) {
								if(info.goodsType == "G056_S") {
									quickShoppingBagHtml += '			<p class="itemSize">';
									quickShoppingBagHtml += '				<span>' + info.itemNmArr[i] + '</span> / <span>' + info.colorNmArr[i] + '</span> / <span>' + info.optCd2 + '</span>';
									quickShoppingBagHtml += '			</p>';
								} else {
									quickShoppingBagHtml += '			<p class="itemSize">';
									quickShoppingBagHtml += '				<span>' + info.colorNmArr[i] + '</span> / <span>' + info.optCd2Arr[i] + '</span>';
									quickShoppingBagHtml += '			</p>';
								}
							}

							quickShoppingBagHtml += '			<p class="itemSize">';
							quickShoppingBagHtml += '				<span>수량 ' + info.goodsQty + '개</span>';
							quickShoppingBagHtml += '			</p>';

							if(info.currPrice > info.tmtbDcAmt) {
								quickShoppingBagHtml += '				<p class="itemPrice">' + Number(info.tmtbDcAmt).toLocaleString() + '<span class="itemPrice_original">' + Number(info.currPrice).toLocaleString() + '</span></p>';
							} else {
								quickShoppingBagHtml += '				<p class="itemPrice">' + Number(info.tmtbDcAmt).toLocaleString() + '</p>';
							}

							if(info.qtyTmtbSq > 0 && info.applyQtySectionYn == "Y") {
								quickShoppingBagHtml += '				<div class="itemComment">다다익선 할인 적용</div>';
							}
							if(info.amtTmtbSq > 0 && info.applyAmtSectionYn == "Y") {
								quickShoppingBagHtml += '				<div class="itemComment">다다익선 할인 적용</div>';
							}


							quickShoppingBagHtml += '			</a>';
							quickShoppingBagHtml += '		</div>';
							quickShoppingBagHtml += '	</div>';
						//}
					}

					quickShoppingBagHtml += '</div>';
					quickShoppingBagHtml += '<button type="button" class="btn btn_default purchase_btn" onclick="cfnGoToPage(_PAGE_CART);"><span>쇼핑백 바로가기</span></button>';

					$("#quick_menu #quick02 .count").text(order.delvAllCartList.length);
				} else {
					let itemList = result.itemList;

					if(!$("#quick_menu .shopingbag.quick_con.quick02 .quick_body").hasClass("nodata")) {
						$("#quick_menu .shopingbag.quick_con.quick02 .quick_body").addClass("nodata");
					}

					quickShoppingBagHtml += '<div class="itemsGrp empty">';
					quickShoppingBagHtml += '	<p class="desc">쇼핑백에 담긴 상품이 없습니다.</p>';
					quickShoppingBagHtml += '	<span class="subH3">지금 많이 보고있어요</span>';
					for(let i = 0 ; i < itemList.length ; i++) {
						let item = itemList[i];
						quickShoppingBagHtml += '	<div class="item_prod">';
						quickShoppingBagHtml += '		<div class="item_state">';
						quickShoppingBagHtml += '			<a href="' + item.itemUrl + '" class="itemLink">';
						quickShoppingBagHtml += '				<div class="itemPic">';
						quickShoppingBagHtml += '					<img alt="BLACK-a" class="vLHTC pd_img" src="' + item.imageUrl + '"/>';
						quickShoppingBagHtml += '				</div>';
						quickShoppingBagHtml += '				<p class="itemBrand">' + item.brandName + '</p>';
						quickShoppingBagHtml += '				<div class="itemName">' + item.itemName + '</div>';
						quickShoppingBagHtml += '				<p class="itemPrice">' + Number(item.salePrice).toLocaleString();
						if(item.salePrice < item.originalPrice) {
							quickShoppingBagHtml += '					<span class="itemPrice_original">' + Number(item.originalPrice).toLocaleString() + '</span>';
						}
						quickShoppingBagHtml += '				</p>';
						if(item.count < 10) {
							quickShoppingBagHtml += '				<div class="viewCount"><span>10명 미만</span></div>';
						} else {
							quickShoppingBagHtml += '				<div class="viewCount"><span>' + item.count + '</span>명 보는중</div>';
						}
						quickShoppingBagHtml += '			</a>';
						quickShoppingBagHtml += '		</div>';
						quickShoppingBagHtml += '	</div>';
					}
					quickShoppingBagHtml += '</div>';
				}

				$("#quick_menu .shopingbag.quick_con.quick02 .quick_body").html(quickShoppingBagHtml);
				$("#quick_menu .shopingbag.quick_con.quick02 .quick_body").show();
				$("#quick_menu #quick02 .count").text(order.delvAllCartList.length);

				let cartCnt = $("#quick_menu #quick02 .count").text();
				if(!cartCnt) cartCnt = 0;
				if(cartCnt > 99) cartCnt = "99+";
				$(".shopingbag .quick_body .product_count .c_primary").text(cartCnt);
				$("#header .gnb .btn_cart .circle_count").text(cartCnt);
			}
		});
	}

	// 위시리스트
	let fnGetWishList = function() {
		if (!cfCheckLogin()) {
			$('#quickMenuWishList').addClass('need_login');
			$('#quickMenuWishList').html('');
			tag='<div class="login_con">';
			tag+='<div>';
			tag+='		<p>로그인 후 이용 가능한 서비스입니다.</p>';
			tag+='		<button type="button" class="btn btn_sm" onclick="cfnGoToPage(_PAGE_LOGIN)"><span>로그인</span></button>';
			tag+='	</div>';
			tag+='</div>';

			$('#quickMenuWishList').html(tag);
			return false;
		}

		$.getJSON('/goods/wish/list'
				, function(result, status) {
					if (status == 'success') {
						$('#quickMenuWishList').html('');
						$('#quick03').find('span').html(result.length);
						$('#quickMenuWishListCount').html(result.length);
						tag = '';
						if (result.length > 0) {
							$("#quickMenuWishList").attr("class","quick_body");
							tag += '<div class="product_count"><span class="c_primary" id="quickMenuWishListCount">'+result.length+'</span>개의 상품</div>\n';
							tag += '	<div class="itemsGrp">\n';

							$.each(result, function (idx, item) {
								tag += '<div class="item_prod">\n';
								tag += '	<div class="item_state ';
								if(item.stockQtySum < 1){
									tag += 'soldout';
								}
								tag += ' ">\n';
								if(item.stockQtySum>0 && item.stockQtySum<=5){
									tag += '		<div class="shape"><span>곧 품절돼요!</span></div>\n';
								}
								tag += '			<button type="button" class="itemLike active" goodsCd="'+item.goodsCd+'" onclick="fnWishDelete(this);">관심상품 추가</button>\n';
								tag += '			<a href="javascript:void(0);" onclick="cfnGoToGoodsDetail(\''+item.goodsCd+'\',\'\',\'IN22_02\')" class=" itemLink">\n';
								tag += '			<div class="itemPic">\n';
								tag += '			<img class="vLHTC pd_img" src="' + _uploadGoodsUrl + '/' + item.sysImgNm + '" alt="이미지설명"/>\n';
								tag += '			</div>\n';
								tag += '		</a>\n';
								tag += '			<div class="hover_con">';
								if (item.stockQtySum>0) {
									if (item.goodsType == 'G056_N') {
										tag += '			<button type="button" class="btn btn_sm cart_btn on" afLinkCd="'+item.afLinkCd+'" goodsCd="'+item.goodsCd+'" optCd="'+item.optCd+'" minOrdQty="'+item.minOrdQty+'" goodsType="'+item.goodsType+'" contentsLoc="'+item.contentLoc+'" onclick="wishCardAdd(this)"><span>쇼핑백 담기</span></button>';
									}else if(item.goodsType == 'G056_D'){ // 딜상품
										tag += '			<button type="button" class="btn btn_sm cart_btn on" onclick="wishDealGoods()"><span>쇼핑백 담기</span></button>';
									}else{
										tag += '			<button type="button" class="btn btn_sm cart_btn on" afLinkCd="'+item.afLinkCd+'" compsGoodsCd=\''+item.compsGoodsCd+'\' goodsCd="'+item.goodsCd+'" optCd="'+item.optCd+'" minOrdQty="'+item.minOrdQty+'" goodsType="'+item.goodsType+'" contentsLoc="'+item.contentLoc+'" onclick="wishCardSetAdd(this)"><span>쇼핑백 담기</span></button>';
									}

								}
								tag += '		</div>\n';
								tag += '	</div>\n';
								tag += '</div>\n';
							});
							tag += '	</div>\n';

						} else {
							$("#quickMenuWishList").addClass("nodata");
							tag += '<div class="itemsGrp">';
							tag += '<div class="no_item" style="display:block">';
							tag += '	등록된 위시리스트가 없습니다.';
							tag += '</div>';
							tag += '</div>';
						}

						$('#quickMenuWishList').html(tag);
					}
			});
	}

	// 딜상품일 경우 alert
	var wishDealGoods = function() {
		mcxDialog.alert("해당 상품은 옵션 선택 후 쇼핑백 담기가 가능합니다.");
		return;
	}

	// 위시리스트 해제
	let fnWishDelete = function(obj) {
		cfnPutWishList(obj);
		fnGetWishList();
	}

	var wishCardAdd = function (obj) {
		let btnType = "C";
		let params = [];

		let cart = new Object();
	    cart.goodsCd = $(obj).attr("goodsCd");
		cart.optCd = $(obj).attr("optCd");
		cart.goodsQty = $(obj).attr("minOrdQty");
		cart.goodsType = $(obj).attr("goodsType");
		cart.cartGb = btnType;
		cart.afLinkCd = $(obj).attr("afLinkCd");
		cart.ithrCd = $(obj).attr("ithrCd");
		//cart.contentsLoc = $(obj).attr("contentsLoc");
		cart.contentsLoc = '';
		cart.planDtlSq = '';
		params.push(cart);

		// 장바구니담기
		if (params.length > 0){
			cfnAddCart(params);
		}
	}

	var wishCardSetAdd = function (obj) {
		let cartGoodsList = [];
		var optCdArr = $(obj).attr("optCd").split(",");
		var compsGoodsCdArr = $(obj).attr("compsGoodsCd").split(",");

		let compsList = [];
		let goodsList = {
		cartCompsList : new Array()
		}

		for(let j = 0 ; j <  optCdArr.length ; j++) {
			let temp = new Object;
			temp.goodsCd = $(obj).attr("goodsCd");
			temp.optCd = optCdArr[j];
			temp.goodsQty = $(obj).attr("minOrdQty");
			temp.goodsType = "G056_S";
			temp.itemCd =  compsGoodsCdArr[j];
			temp.cartGb = "C";
			temp.afLinkCd = $(obj).attr("afLinkCd");
			temp.ithrCd = "";
			temp.contentsLoc = "";
			temp.planDtlSq = "";
			compsList.push(temp);
		}

		goodsList.cartCompsList = compsList;
		cartGoodsList.push(goodsList);
		cfnAddCart(cartGoodsList);
	}

	// 쿠폰리스트
	let issueCouponBtn = function() {
		if (!cfCheckLogin()) {
			$('#couponList').addClass('need_login');
			return false;
		}else{
			$.getJSON('/mypage/quick/down/coupon/list'
					, function(result, status) {
						if (status == 'success'){
							$('#quick04').find('span').html(result.ownCouponList.length + result.couponCount.useCouponCnt);
							let tag = '';
							if(result.ownCouponList.length>0){
								tag += '<ul class="coupon_list">';
								$.each(result.ownCouponList, function (idx, item) {
									tag += '	<li>';
									tag += '		<div class="coupon">';
									tag += '			<div>';
									tag += '				<p class="cp_name">'+item.cpnNm+'</p>';
									tag += '				<p class="cp_cont">';
									if (item.dcWay == '%') {
										tag += '					<span><em>'+item.dcVal.addComma()+'</em>%</span>';
									}else{
										tag += '					<span><em>'+item.dcVal.addComma()+'</em>원</span>';
									}


									tag += '				</p>';
									if(item.custPubLimitQty == 0){
										tag += '				<p class="cp_condition">'+item.useCondition+'<span></span>';
									}else{
										tag += '				<p class="cp_condition">'+item.useCondition+'<span>1인 최대'+item.custPubLimitQty.addComma()+'장</span>';
									}

									tag += '				</p>';
									tag += '			</div>';
									tag += '			<button type="button" id="coupon_'+item.cpnId+'" class="btn btn_dark btn_block btn_coupon_down" onclick="fnQuickCouponDown('+item.cpnId+')"><span>쿠폰받기</span></button>';
									tag += '		</div>';
									tag += '	</li>';
								});
								tag += '</ul>';
							}else{
								tag += '<div class="no_item">';
								tag += 	'다운 가능한 쿠폰이 없습니다.';
								tag += '</div>';

							}
							$('#issueCoupon').html(tag);
						}
				});
		}
	}

	// 보유 쿠폰 클릭 시
	let ownCouponBtn = function() {
		$.getJSON('/mypage/quick/own/coupon/list'
				, function(result, status) {
					if (status == 'success') {
						let tag = '';
						if (result.length > 0) {
							tag += '<ul class="clear">';
							$.each(result, function (idx, item) {
								tag += '	<li>';
								tag += '		<div class="cp_top">';
								tag += '			<div class="cp_detail">';
								tag += '				<p class="tit">'+item.cpnNm+'</p>';
								if (item.dcWay == '%') {
									tag += '				<strong class="sale_t won_t"><span>'+item.dcVal.addComma()+'</span>%</strong>';
								}else{
									tag += '				<strong class="sale_t won_t"><span>'+item.dcVal.addComma()+'</span>원</strong>';
								}

								tag += '				<p class="cp_cont">'+item.useCondition+'</p>';
								tag += '				<span class="cp_cnt"><span>'+item.cpnCnt.addComma()+'</span>장 보유</span>';
								tag += '			</div>';
								tag += '			<span class="cp_shape"></span>';
								tag += '		</div>';
								tag += '		<div class="cp_date">';
								tag += '			<span>'+item.availStdt+'</span> ~ <span>'+item.availEddt+'</span>';
								tag += '		</div>';
								tag += '		<div class="cp_info">';
								tag += '			<button type="button" class="coupon_pop_btn" onclick="useInfoCoupon('+item.cpnId+')"><span>사용안내</span></button>';
								tag += '		</div>';
								tag += '	</li>';
							});
							tag += '<ul>';

						} else {
							tag += '<div class="no_item">';
							tag += 	'보유한 쿠폰이 없습니다.';
							tag += '</div>';
						}

						$('#ownCoupon').html(tag);
					}
			});
	}


	var doubleSubmitFlag = false;
    /* function doubleSubmitCheck(){
        if(doubleSubmitFlag){
            return doubleSubmitFlag;
        }else{
            doubleSubmitFlag = true;
            return false;
        }
    } */


	//쿠폰 다운로드
	var fnQuickCouponDown = function(obj){

		if (!cfCheckLogin()) {
			cfnGoToPage(_PAGE_LOGIN);
			return false;
		}

		if (doubleSubmitFlag){
			mcxDialog.alert("다운로드 중입니다.");
			return false;
		}

		doubleSubmitFlag = true;
		let cpnId = obj;
		gagajf.ajaxJsonSubmit('/mypage/quick/coupon/download', JSON.stringify({cpnId: cpnId}), fnQuickCouponCallBack);
	}

	// 쿠폰다운로드 콜백
	var fnQuickCouponCallBack = function(result){
		doubleSubmitFlag = false;
		if (result.status == "200"){
			$.each(result.couponList, function (idx, item) {
				if (Number(item.custPubLimitQty) > 0){
					if (Number(item.custPubLimitQty) <= Number(item.custCouponCnt)){
						$('#coupon_'+ item.cpnId).html('<span>받기완료</span>');
						$('#coupon_'+ item.cpnId).attr('disabled', true);
					}
				}
			});
		}
	}

	// 소유한 쿠폰 사용안내 모달
	var useInfoCoupon = function (id) {
		var data = {cpnId : id};
		var jsonData = JSON.stringify(data);

		 $.ajax( {
			type		: "POST",
			url 		: '/mypage/coupon/detailPop',
			data		: jsonData,
			contentType: 'application/json',
			dataType 	: 'html',
			success 	: function(result) {
				if (result != null) {
					$("#couponInfoPop").html(result);
					$("#couponInfoPop").modal("show");
				}
			}
		});

		return false;
	}

	// 팝업
	let fnGetPopup = function(){
		let data = {viewPage : [[${viewPage}]]
					,cateNo : [[${popupCateNo}]]
					,brandCd : [[${popupBrandCd}]]
					,planSq : [[${popupPlanSq}]]
					,preview : [[${preview}]]
					,viewDt : [[${viewDt}]]
		};
		$.getJSON('/display/popup/list', data, function(result, status) {
			if (status === 'success') {
				if(result.dataList.length>0){
					let popupYn = "N";
					let popupSq = "";
					let tag = '';
					tag += '<div id="layer_popup" class="popup_main_notice">\n';
					tag += '	<div class="popup_content">\n';
					tag += '		<div class="popup_body">\n';
					tag += '			<div class="swiper-container">\n';
					tag += '				<div class="swiper-wrapper">\n';
					$.each(result.dataList, function(idx, item) {
						if(document.cookie.match('(^|;)?style_popup_'+item.popupSq+'=([^;]*)(;|$)')==null) {
							tag += '					<div class="swiper-slide">\n';
							if(!gagajf.isNull(item.linkUrl1) && item.linkUrl1 !== "#"){
								let linkTarget = "";
								if ("N" == item.linkTarget){
									linkTarget = "target=\"_blank\"";
								}
							tag += '						<a href="'+ item.linkUrl1 +'" '+linkTarget+' >\n';
							}
							tag += '						<img src="'+ _imgUrl+'/'+item.imgUrl1+'" width="100%" alt="">\n';
							if(!gagajf.isNull(item.linkUrl1) && item.linkUrl1 !== "#"){
							tag += '						</a>\n';
							}
							tag += '					</div>\n';
							popupYn = "Y";
							popupSq += item.popupSq +"|";
						}
					});
					tag += '				</div>\n';
					tag += '				<div class="swiper-button-prev"></div>\n';
					tag += '				<div class="swiper-button-next"></div>\n';
					tag += '			</div>\n';
					tag += '		</div>\n';
					tag += '		<div class="popup_footer">\n';
					tag += '			<a href="javascript:void(0);" onclick="fnLayerPopupUnexpDaysClose(\''+popupSq+'\',1);" class="btn_underline"> 하루 보지 않기</a>\n';
					tag += '			<a href="javascript:void(0);" id="btnPopupClose" onclick="fnLayerPopupClose();" class="btn_popup_close">닫기</a>\n';
					tag += '		</div>\n';
					tag += '	</div>\n';
					tag += '</div>\n';

					if (popupYn == "Y"){
						if ($('#layer_popup').length === 0) {
							$('body').append(tag);
						}
					}

					/* 메인 공지 팝업 갯수체크 210430_수정 */
					var popNoticeCont = $('.popup_main_notice .swiper-slide');
					var popNoticeLength = popNoticeCont.length;
					if (popNoticeLength < 4) {
						popNoticeCont.parents('.popup_body').addClass('onlyNotice');
						var popup_main_notice_slide = new Swiper ('.popup_main_notice .swiper-container', {
							loop: false,
							watchOverflow: true, //loop와 함께 사용 불가.
							slidesPerView:'auto',
							spaceBetween: 0,
							speed:200,
							autoplay: {
								delay: 3000,
								disableOnInteraction: false,
							},
							navigation: {
								nextEl: '.popup_main_notice .swiper-button-next',
								prevEl: '.popup_main_notice .swiper-button-prev',
							},
						});
					} else {
						popNoticeCont.parents('.popup_body').removeClass('onlyNotice');
						var popup_main_notice_slide = new Swiper ('.popup_main_notice .swiper-container', {
							loop: true,
							slidesPerView:'auto',
							spaceBetween: 0,
							speed:200,
							autoplay: {
								delay: 3000,
								disableOnInteraction: false,
							},
							navigation: {
								nextEl: '.popup_main_notice .swiper-button-next',
								prevEl: '.popup_main_notice .swiper-button-prev',
							},
						});
					}

				}
			}
		});
	}

	let fnLayerPopupUnexpDaysClose = function(seq, unexpDays){
		let arrSeq = seq.split("|");
		if (arrSeq.length > 0){
			let todayDate = new Date();
			//todayDate = new Date(parseInt(todayDate.getTime() / 86400000) * 86400000 + 54000000);
			todayDate = new Date(parseInt(todayDate.getTime() / 86400000) * 86400000);	// 당일 자정처리
			todayDate.setDate(todayDate.getDate() + unexpDays);

			$.each(arrSeq, function (idx, item) {
				if (!gagajf.isNull(item)){
					document.cookie = "style_popup_"+item+"=Y; path=/; expires=" + todayDate.toGMTString() + ";";
				}
			});
		}

		fnLayerPopupClose();
	}
	// 창 닫기
	let fnLayerPopupClose = function(){
		//$('#layer_popup').hide();
		$('#layer_popup').remove();
	}

	$(document).ready( function() {
/*
		// 퀵메뉴탭 조회
		fnCreateQuickMenuTab();

		// 패미리사이트 조회
		fnGetFamilySite();

		// 최근본상품 조회
		fnGetRecentlyGoods();

		// 장바구니 조회
		fnGetCartGoodsList();

		// 위시리스트
		fnGetWishList();

		// 팝업조회
		fnGetPopup();

		// 쿠폰조회
		$("#issueCouponBtn").trigger("click");

		// Family Site
		$('.family_link').on('click','.btn',function(e){
			e.preventDefault();
			$(this).parents('.family_link').find('#family_site').slideToggle(100);
			$(this).find('.ico.ico_ft_arrow_b').toggleClass('ico_ft_arrow_t');
		});

		//퀵메뉴
		var tabAnchor = $('.quick_btn button'),
			tabPanel = $('#quick_menu .quick_con');

		$(document).on('click','.quick_btn button:not(#top_btn)',function(e){
			e.preventDefault();
			$('body').addClass('lock');
			$('#quick_menu').addClass('active');
			tabAnchor.removeClass('active');
			$(this).addClass('active');
			var NewLink = $(this).attr('data-tab');
			tabPanel.hide();
			$('.' + NewLink).show();
		});

		//퀵메뉴_쿠폰
		var couponAnchor = $('.coupon_tab a'),
			couponPanel = $('.coupon_area');

		$(document).on('click','.coupon_tab a',function(e){
			e.preventDefault();
			couponAnchor.removeClass('active');
			$(this).addClass('active');
			var NewLink = $(this).attr('href');

			couponPanel.hide();
			$(NewLink).show();

		});

		couponAnchor.eq(0).trigger('click');

		//퀵메뉴 닫을 때
		$(document).on('click','#quick_menu .quick_close_btn',function(e){
			e.preventDefault();
			$('body').removeClass('lock');
			$('#quick_menu').removeClass('active');
			$('#quick_menu .quick_con').hide();
		});

		//퀵메뉴 카테고리 메뉴 클릭시
		$(document).on('click','#quick_menu .category .quick_cate_wrap > li',function(e){
			$(this).toggleClass('active');
			$(this).find('> ul').slideToggle(300);
			$(this).siblings('li').find('> ul').slideUp(300);
			$(this).siblings('li').removeClass('active');
		});

		//퀵메뉴 탑버튼 클릭 시
		$(document).on('click','#top_btn',function(e){
			$('body,html').animate({scrollTop:0});
		});

		//퀵메뉴_쿠폰 사용안내 팝업
		$(".coupon_pop_btn").click(function() {
			$(".coupon_popup").modal("show");
		});



		// 메인 공지 팝업 닫기
		$(document).on('click','#btnPopupClose',function(e){
			$('#popupMainNotice').hide();
			return false;
		});
*/


	});


	//퀵메뉴탭 조회
	var tabAnchor = $('.quick_btn button'),
		tabPanel = $('#quick_menu .quick_con');

	$(document).on('click','.quick_btn button:not(#top_btn)',function(e){
		e.preventDefault();
		$('body').addClass('lock');
		$('#quick_menu').addClass('active');
		tabAnchor.removeClass('active');
		$(this).addClass('active');
		var NewLink = $(this).attr('data-tab');
		tabPanel.hide();
		$('.' + NewLink).show();
	});

	// Family Site
	$('.family_link').on('click','.btn',function(e){
		e.preventDefault();
		e.stopPropagation();
		$(this).parents('.family_link').find('#family_site').slideToggle(100);
		$(this).find('.ico.ico_ft_arrow_b').toggleClass('ico_ft_arrow_t');
	});
	$(document).click(function(){
		$('#family_site').hide();
		$(this).find('.ico.ico_ft_arrow_b').toggleClass('ico_ft_arrow_t');
	});

	var tabAnchor = $('.quick_btn button'),
	tabPanel = $('#quick_menu .quick_con');

	$(document).on('click','.quick_btn button:not(#top_btn)',function(e){
		e.preventDefault();
		$('body').addClass('lock');
		$('#quick_menu').addClass('active');
		tabAnchor.removeClass('active');
		$(this).addClass('active');
		var NewLink = $(this).attr('data-tab');
		tabPanel.hide();
		$('.' + NewLink).show();
	});

	//퀵메뉴_쿠폰
	var couponAnchor = $('.coupon_tab a'),
	couponPanel = $('.coupon_area');

	$(document).on('click','.coupon_tab a',function(e){
		e.preventDefault();
		couponAnchor.removeClass('active');
		$(this).addClass('active');
		var NewLink = $(this).attr('href');

		couponPanel.hide();
		$(NewLink).show();

	});

	//퀵메뉴 닫을 때
	$(document).on('click','#quick_menu .quick_close_btn',function(e){
		e.preventDefault();
		$('body').removeClass('lock');
		$('#quick_menu').removeClass('active');
		$('#quick_menu .quick_con').hide();
	});

	//퀵메뉴 카테고리 메뉴 클릭시
	$(document).on('click','#quick_menu .category .quick_cate_wrap > li',function(e){
		$(this).toggleClass('active');
		$(this).find('> ul').slideToggle(300);
		$(this).siblings('li').find('> ul').slideUp(300);
		$(this).siblings('li').removeClass('active');
	});

	//퀵메뉴 탑버튼 클릭 시
	$(document).on('click','#top_btn',function(e){
		$('body,html').animate({scrollTop:0});
	});

	//퀵메뉴_쿠폰 사용안내 팝업
	$(".coupon_pop_btn").click(function() {
		$(".coupon_popup").modal("show");
	});

	// 메인 공지 팝업 닫기
	$(document).on('click','#btnPopupClose',function(e){
		$('#popupMainNotice').hide();
		return false;
	});


	//퀵메뉴
// 	$('#ulQuickMenuCate').load('FooterWeb.html', function() {
		fnCreateQuickMenuTab();
// 	});

	//Family Site load 후
// 	$('#family_site').load('FooterWeb.html', function() {
		fnGetFamilySite();
// 	});

	//최근본상품 조회
// 	$('#quickMenuTodayGoods').load('FooterWeb.html', function() {
		fnGetRecentlyGoods();
// 	});

	// 장바구니 조회
// 	$('#quick_menu .shopingbag.quick_con.quick02 .quick_body').load('FooterWeb.html', function() {
		fnGetCartGoodsList();
// 	});

	// 위시리스트
// 	$('#quickMenuWishList').load('FooterWeb.html', function() {
		fnGetWishList();
// 	});

	// 팝업조회
	//$('#layer_popup').load('footer.html', function() {
		fnGetPopup();
	//});

	// 쿠폰조회
// 	$('#issueCoupon').load('FooterWeb.html', function() {
		//$("#issueCouponBtn").trigger("click");
		couponAnchor.eq(0).trigger('click');
// 	});
	//$("#issueCouponBtn").trigger("click");

	//couponAnchor.eq(0).trigger('click');


/*]]>*/
</script>

<script th:inline="javascript">
/*<![CDATA[*/
var element_layer = document.getElementById('zipcode_layer');
var cfnGetDaumRoadAddr = function(data) {
	// 팝업에서 검색결과 항목을 클릭했을 때 실행할 코드를 작성하는 부분입니다.
	// 예제를 참고하여 다양한 활용법을 확인해 보세요.
	// 팝업에서 검색결과 항목을 클릭했을때 실행할 코드를 작성하는 부분

	// 도로명 주소의 노출 규칙에 따라 주소를 조합한다.
	// 내려오는 변수가 값이 없는 경우엔 공백('') 값을 가지므로, 이를 참고하여 분기한다.
	let fullRoadAddr = data.roadAddress; // 도로명 주소 변수
	let extraRoadAddr = ''; // 도로명 조합형 주소 변수

	// 법정동명이 있을 경우 추가한다. (법정리는 제외)
	// 법정동의 경우 마지막 문자가 "동/로/가"로 끝난다.
	if (data.bname !== '' && /[동|로|가]$/g.test(data.bname)) {
		extraRoadAddr += data.bname;
	}

	// 2021.08.11 건물명이 제대로 나오지 않음 수정
	// 건물명이 있고, 공동주택일 경우 추가한다.
	//if (data.buildingName !== '' && data.apartment === 'Y') {
	if (data.buildingName !== '') {
		extraRoadAddr += (extraRoadAddr !== '' ? ', ' + data.buildingName : data.buildingName);
	}

	// 도로명, 지번 조합형 주소가 있을 경우, 괄호까지 추가한 최종 문자열을 만든다.
	if (extraRoadAddr !== '') {
		extraRoadAddr = ' (' + extraRoadAddr + ')';
	}

	// 도로명, 지번 주소의 유무에 따라 해당 조합형 주소를 추가한다.
	if (fullRoadAddr !== '') {
		fullRoadAddr += extraRoadAddr;
	}

	return fullRoadAddr;
}

var cfnOpenDaumAddr = function(daumZip) {

	// 다은우편번호팝업 노출
	$("#daumZipcodePop").show();

	if ($('html').hasClass('is-ie')) {
		daumZip.open();
	} else {
		daumZip.embed(element_layer);

		// iframe을 넣은 element를 보이게 한다.
		element_layer.style.display = 'block';

		// iframe을 넣은 element의 위치를 화면의 가운데로 이동시킨다.
		cfnInitLayerPosition();
	}
}


var cfnCloseDaumAddr = function() {
	// iframe을 넣은 element를 안보이게 한다.
	element_layer.style.display = 'none';

	// 다음우편번호팝업 닫기
	$("#daumZipcodePop").hide();
}

// 브라우저의 크기 변경에 따라 레이어를 가운데로 이동시키고자 하실때에는
// resize이벤트나, orientationchange이벤트를 이용하여 값이 변경될때마다 아래 함수를 실행 시켜 주시거나,
// 직접 element_layer의 top,left값을 수정해 주시면 됩니다.
var cfnInitLayerPosition = function() {
	//let width = 420; //우편번호서비스가 들어갈 element의 width
	//let height = 502; //우편번호서비스가 들어갈 element의 height
	let borderWidth = 1; //샘플에서 사용하는 border의 두께

	// 위에서 선언한 값들을 실제 element에 넣는다.
	//element_layer.style.width = width + 'px';
	//element_layer.style.height = height + 'px';
	element_layer.style.border = borderWidth + 'px solid';

	// 실행되는 순간의 화면 너비와 높이 값을 가져와서 중앙에 뜰 수 있도록 위치를 계산한다.
	/*
	element_layer.style.left = (((window.innerWidth || document.documentElement.clientWidth) - width) / 2 - borderWidth) + 'px';
	element_layer.style.top = (((window.innerHeight || document.documentElement.clientHeight) - height) / 2 - borderWidth) + 'px';
	*/

	// 다음 레이어 적용
	$("#__daum__layer_1").css("z-index", 3000);
}

// 다음우편번호팝업 닫기
$("#daumZipcodePop_close").on("click", function(){
	$("#daumZipcodePop").hide();
});
/*]]>*/
</script>

<!-- 네이버페이 유입 공통 적용 스크립트 , 모든 페이지에 노출되도록 설치. 단 전환페이지 설정값보다 항상 하단에 위치해야함 -->
<script type="text/javascript" src="//wcs.naver.net/wcslog.js"> </script>
<script type="text/javascript">
 	if (!wcs_add) var wcs_add={};
 	wcs_add["wa"] = "[[${@environment.getProperty('naverPay.common.certification.key')}]]";
 	if (!_nasa) var _nasa={};
 	if(window.wcs){
 		wcs.inflow("style24.com");
 		wcs_do(_nasa);
 	}
</script>

<!-- Enliple(모비온) Insite breakAway Popup start -->
<script type="text/javascript">
(function(m,b,r,i,s){m.mbris=m.mbris||function(){(m.mbris.q=m.mbris.q||[]).push(arguments)};i=b.createElement(r);i.async=!0;i.defer=!0;i.src="https://cdn.megadata.co.kr/dist/prod/enp_mbris.min.js";0<b.querySelectorAll("script[src*=enp_mbris]").length&&m.ENP_MBRIS_INVOKE?m.ENP_MBRIS_INVOKE():(s=b.getElementsByTagName(r)[0],s.parentNode.insertBefore(i,s))})(window,document,"script");mbris("202108222155731621_is24_3_01,202108222155731621_is24_3_02");
</script>
<!-- Enliple(모비온) Insite breakAway Popup end -->

</footer>

</html>
